AuFreeBucketAttributes(3)

Name
AuFreeBucketAttributes - free memory used by lists of bucket attributes

Synopsis
#include <audio/audiolib.h>

void AuFreeBucketAttributes(server, nattributes, attributes)
    AuServer *server;
    int nattributes;
    AuBucketAttributes *attributes;

Arguments

server
    Specifies the connection to the audio server.

nattributes
    Specifies the number of bucket attributes to free.

attributes
    Specifies a single bucket attribute structure returned by AuGetBucketAttributes or a list of bucket attributes returned by AuListBuckets.

Description
AuFreeBucketAttributes frees the memory allocated by AuGetBucketAttributes or AuListBuckets.

audiolib - Network Audio System C Language Interface